请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
搜索
热搜: nxopen ufun
查看: 308|回复: 0

[技术分享] C#中调用UFUN方法与NXOpen方法创建直线!

[复制链接]

33

主题

63

帖子

767

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
767
发表于 2017-7-10 18:02:53 | 显示全部楼层 |阅读模式
两种方法分享给大家,
我很少研究C#,因为我感觉比C++要慢一点,并且C#我不是太会,
也是自己跟着C++的一些编程风格大致套出来的,有问题可以回贴。
  1. //C#调UFUN方法
  2. UFCurve.Line line_coords;
  3. line_coords.start_point = new double[3];
  4. line_coords.start_point[0] = 15.0;
  5. line_coords.start_point[1] = 25.0;
  6. line_coords.start_point[2] = 35.0;

  7. line_coords.end_point = new double[3];
  8. line_coords.end_point[0] = 100.0;
  9. line_coords.end_point[1] = 150.0;
  10. line_coords.end_point[2] = 60.0;

  11. Tag lineTAG = Tag.Null;
  12. theUfSession.Curve.CreateLine(ref line_coords, out lineTAG);
  13. theUfSession.Obj.SetColor(lineTAG, 186);//设置颜色为红色

  14. //C#中NXOPEN方法
  15. Part workPart = theSession.Parts.Work;
  16. Point3d startPoint1 = new Point3d(10.0, 20, 30.0);
  17. Point3d endPoint1 = new Point3d(40.0, 50.0, 60.0);
  18. Line line1;
  19. line1 = workPart.Curves.CreateLine(startPoint1, endPoint1);
复制代码


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-2-24 15:38 , Processed in 0.090412 second(s), 24 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表